
=encoding utf8

=head1 NAME

Sidef::Types::Hash::Hash

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Hash(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 &

    a & b

Returns the

Aliases: I<and>, I<intersection>

=cut

=head2 +

    a + b

Returns the

Aliases: I<merge>, I<concat>

=cut

=head2 -

    a - b

Returns the

Aliases: I<sub>, I<diff>, I<difference>

=cut

=head2 ...

    a ... b

Returns the

Aliases: I<to_list>

=cut

=head2 ==

    a == b

Returns the

Aliases: I<eq>

=cut

=head2 ^

    a ^ b

Returns the

Aliases: I<xor>, I<symdiff>, I<symmetric_difference>

=cut

=head2 |

    a | b

Returns the

Aliases: I<or>, I<union>

=cut

=head2 ≠

    a ≠ b

Returns the

Aliases: I<!=>, I<ne>

=cut

=head2 append

    Hash.append()

Returns the

=cut

=head2 as_tree

    Hash.as_tree()

Returns the

=cut

=head2 clear

    Hash.clear()

Returns the

=cut

=head2 collect

    Hash.collect()

Returns the

Aliases: I<collect_kv>

=cut

=head2 count

    Hash.count()

Returns the

=cut

=head2 count_by

    Hash.count_by()

Returns the

=cut

=head2 delete

    Hash.delete()

Returns the

Aliases: I<remove>

=cut

=head2 delete_if

    Hash.delete_if()

Returns the

=cut

=head2 dig

    Hash.dig()

Returns the

=cut

=head2 each

    Hash.each()

Returns the

Aliases: I<each_kv>, I<each_pair>

=cut

=head2 each_k

    Hash.each_k()

Returns the

Aliases: I<each_key>

=cut

=head2 each_v

    Hash.each_v()

Returns the

Aliases: I<each_value>

=cut

=head2 fetch

    Hash.fetch()

Returns the

=cut

=head2 flip

    Hash.flip()

Returns the

Aliases: I<invert>, I<reverse>

=cut

=head2 get_pair

    Hash.get_pair()

Returns the

=cut

=head2 get_pairs

    Hash.get_pairs()

Returns the

=cut

=head2 grep

    Hash.grep()

Returns the

Aliases: I<grep_kv>, I<select>

=cut

=head2 grep_v

    Hash.grep_v()

Returns the

Aliases: I<grep_val>

=cut

=head2 has

    Hash.has()

Returns the

Aliases: I<exists>, I<has_key>, I<haskey>, I<contain>, I<include>, I<contains>, I<includes>

=cut

=head2 is_empty

    Hash.is_empty()

Returns the

=cut

=head2 item

    Hash.item()

Returns the

=cut

=head2 items

    Hash.items()

Returns the

=cut

=head2 keys

    Hash.keys()

Returns the

=cut

=head2 kv

    Hash.kv()

Returns the

Aliases: I<to_a>, I<pairs>, I<to_array>

=cut

=head2 len

    Hash.len()

Returns the

Aliases: I<size>, I<length>

=cut

=head2 lsel

    Hash.lsel()

Returns the

Aliases: I<linsel>, I<linear_selection>

=cut

=head2 map

    Hash.map()

Returns the

Aliases: I<map_kv>

=cut

=head2 map_v

    Hash.map_v()

Returns the

Aliases: I<map_val>

=cut

=head2 max_by

    Hash.max_by()

Returns the

=cut

=head2 merge_values

    Hash.merge_values()

Returns the

=cut

=head2 min_by

    Hash.min_by()

Returns the

=cut

=head2 new

    Hash.new()

Returns the

Aliases: I<call>

=cut

=head2 same_keys

    Hash.same_keys()

Returns the

=cut

=head2 set_keys

    Hash.set_keys()

Returns the

=cut

=head2 slice

    Hash.slice()

Returns the

=cut

=head2 sort

    Hash.sort()

Returns the

=cut

=head2 sort_by

    Hash.sort_by()

Returns the

=cut

=head2 to_bag

    Hash.to_bag()

Returns the

=cut

=head2 to_s

    Hash.to_s()

Returns the

Aliases: I<dump>, I<to_str>

=cut

=head2 to_set

    Hash.to_set()

Returns the

=cut

=head2 values

    Hash.values()

Returns the

=cut
